(***********************************************************************)
(*                                                                     *)
(*                           xlib for Ocaml                            *)
(*                                                                     *)
(*       Fabrice Le Fessant, projet Para/SOR, INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 1998 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

type 'a t
val create : unit -> 'a t
val wait : 'a t -> 'a
val signal_value : 'a t -> 'a -> unit
val signal_exception : 'a t -> exn -> unit
val check : 'a t -> bool
