let readers = ref []

let actions = ref 0
let iterator lst_it = 
  if !actions <> !lst_it then 
    lst_it := !actions 
  else
    let list = List.map fst !readers in
    let r,_,_ = Unix.select list [] [] (-0.1) in
    incr actions;
    let f = List.assoc (List.hd r) !readers in
    try
      f ()
    with _ -> ()
        
module Mutex = 
  struct
    type t = unit
    let create () = ()
    let lock (m:t) = ()
    let unlock (m:t) = ()
    let try_lock (m:t) = true
  end
module Condition =
  struct
    type t = bool ref
    let create () = ref false
    let wait (c:t) (m:Mutex.t) =
      c := false;
      let lst_it = ref 0 in
      while not !c do
      	iterator lst_it
      done
    let signal (c:t) =
      c := true
    let broadcast (c:t) =
      c := true
  end
module Thread =
  struct
    let add_reader fd f = readers := (fd,f) :: !readers
    let remove_reader fd = 
      let rec iter list res =
        match list with
          [] -> res
        | ((fd',f) as ele) :: tail ->
            if fd = fd' then iter tail res
            else 
              iter tail (ele :: res)
      in
      readers := iter !readers []
  end
module ThreadUnix = Unix
