(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1996 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: std_exit.ml,v 1.1 1999/09/30 13:27:24 lefessan Exp $ *)

let _ =
(* Ensure that all threads have exited *)
  Thread.suspend_on_terminaison 0;
(* Ensure that [at_exit] functions are called at the end of every program *)
  do_at_exit ();;
