let def setenv_string(name,value) = reply 
  (name^"="^value^"; export "^name^"; ")

let def fork_worker!(wait,name,delay) = 
  let cmd =
    "sleep " ^ string_of_int(wait) ^ "; " 
  ^ setenv_string("NAME",name)
  ^ setenv_string("DELAY",string_of_int(delay))
  ^ Unix.getcwd() ^ "/dclient.out" in
  {Ns.fork_client cmd;}
;;

spawn { 
  fork_worker(0,"fallible",14000)
| fork_worker(0,"dubious",13000)
| fork_worker(0,"reliable",300000) };
Join.server ()
