(***********************************************************************)
(*                                                                     *)
(*                           xlib for Ocaml                            *)
(*                                                                     *)
(*       Fabrice Le Fessant, projet Para/SOR, INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 1998 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

val sock_io :
  ('a -> 'b -> int -> int -> int) -> 'a -> int -> 'b -> int -> unit
exception NotADigit of int
val discardInt : string -> int -> int * int
val parseDisplayName : string -> string * int * int
val openConnectionWithDisplay :
    string -> Unix.file_descr * string * int * (string * string)
