
let check = Join.check

let def triple   (x,y,z) =
    let def  get   () =   reply x,y,z to get 
    in  
    check get 245;
    reply get to triple

let def new_cons  (h,t) =
  let def  head   () =  reply h to head
      or   tail   () =  reply t to tail
      or   null   () =  reply false to null 
    in  
    check triple 245;
    reply triple (null,head,tail) to new_cons

or new_nil        () =
  let def  head   () = reply (failwith "head of nil")
      or   tail   () = reply (failwith "tail of nil")
      or   null   () = reply true to null  
    in  
    check triple 245;
    reply triple (null,head,tail) to new_nil

let def safe(x,d,l) = 
reply
   let n,h,t = l () in  
   check n 0; check h 0; check t 0;
      if n() then  
         true
      else
  
         if x=h() || x=h()+d || x=h()-d then 
            false
         else
            safe(x,d+1,t())
to safe  

let def trypos(q,b,l) = 
    reply
    (check safe 0; check trypos 0; check new_cons 245; 
    if q = 0  then 
       l
    else
       let v = safe(q,1,b) in
       if v then (
          trypos(q-1,b,new_cons(new_cons(q,b),l)))
       else
          trypos(q-1,b,l))
to trypos

let def foldll(l,y,v) = 
reply
let n,h,t = l() in
   check n 0; check h 0; check t 0; check foldll 0; check trypos 0;
    if n() then
       v
    else
       foldll(t(),y,trypos(y,h(),v))
to foldll

let def gen(x,y) = 
reply
    if x=0 then 
       new_cons(new_nil(),new_nil())
    else
       foldll(gen(x-1,y),y,new_nil())
to gen

let def list_size(l) = 
reply
let n,h,t = l() in
  check n 0; check h 0; check t 0;
    if n() then
       0
    else
       1 + list_size(t())
to list_size

let def queens(size) = 
    reply
      (
      check gen 0; check list_size 0;
    let x = gen(size,size) in 
    let y = list_size(x) in       
    y)
to queens


let _ =
  print_string("queens(10)=");
  print_int (queens(9));
  print_newline () 
